import { css, cx } from "@linaria/core";
import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children, value } = useCompData(props.compId);

    return () => (
      <div
        class={cx(rootStyles, " pl-0.28rem")}
        style={{
          backgroundImage: `linear-gradient(#fff 1.3rem,${value.themeColor} 1.3rem, ${value.themeColor} 80%, #fff 80%)`,
        }}
      >
        <div class="h-1.3rem">
          <Text.Component compId={children.title?.id} />
        </div>
        <Image.Component
          compId={children.img1.id}
          class="w-6.22rem h-6.22rem object-cover -ml-0.28rem"
        />
        <div class="absolute right-1rem top-3rem">
          <Text.Component compId={children.colorText?.id} />
        </div>
        <div class="flex flex-row-reverse">
          <div class="w-4.75rem px-0.35rem py-0.55rem bg-light-50 border-r-cool-gray-900">
            <Text.Component
              compId={children.text?.id}
              // class=""
            />
          </div>
        </div>
        <Image.Component
          compId={children.img2.id}
          class="!absolute bottom-0 left-0 w-4rem h-2.85rem object-cover  -ml-0.28rem"
        />
      </div>
    );
  },
});

const rootStyles = css`
  background-clip: content-box;
`;
